/*------------------------------------------------------------------
[Master Stylesheet]

Project:    Hundrum zufrieden
Version:    1.2
Last change:    19/04/2025
Primary use:    Website
-------------------------------------------------------------------*/
@import url('https://fonts.googleapis.com/css2?family=Pacifico&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
:root{
  --base-clr: #ffffff;
  --line-clr: #ffffff;
  --secondary-clr: #4ba34b;
  --hover-clr: #3c943c;

  --text-clr: #e6e6e6;
  --secondary-text-clr: #5a5a5a;
  --accent-clr: #f7a868;
}
/*#fc9846;*/





/*------------------------------------------------------------------
General Config
*/
*{
  margin: 0;
  padding: 0;
}
html{
  font-family: Poppins, 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  line-height: 1.5rem;
}
body{
  min-height: 100vh;
  min-height: 100dvh;
  background-color: var(--base-clr);
  color: var(--text-clr);
  display: grid;
  grid-template-columns: auto 1fr;
}





/*------------------------------------------------------------------
Sidebar
*/
#sidebar{
  box-sizing: border-box;
  height: 100vh;
  width: 250px;
  padding: 5px 1em;
  background-color: var(--secondary-clr);
  border-right: 1px solid var(--line-clr);

  position: sticky;
  top: 0;
  align-self: start;
  transition: 300ms ease-in-out;
  overflow: hidden;
  text-wrap: nowrap;
}
#sidebar.close{
  padding: 5px;
  width: 60px;
}
#sidebar ul{
  list-style: none;
}
#sidebar > ul > li:first-child{
  display: flex;
  justify-content: flex-end;
  margin-bottom: 16px;
  .logo{
    font-weight: 600;
  }
}
#sidebar ul li.active a{
  color: var(--accent-clr);

  svg{
    fill: var(--accent-clr);
  }
}

#sidebar a, #sidebar .dropdown-btn, #sidebar .logo{
  border-radius: .5em;
  padding: .85em;
  text-decoration: none;
  color: var(--text-clr);
  display: flex;
  align-items: center;
  gap: 1em;
}
.dropdown-btn{
  width: 100%;
  text-align: left;
  background: none;
  border: none;
  font: inherit;
  cursor: pointer;
}
#sidebar svg{
  flex-shrink: 0;
  fill: var(--text-clr);
}
#sidebar a span, #sidebar .dropdown-btn span{
  flex-grow: 1;
}
#sidebar a:hover, #sidebar .dropdown-btn:hover{
  background-color: var(--hover-clr);
}
#sidebar .sub-menu{
  display: grid;
  grid-template-rows: 0fr;
  transition: 300ms ease-in-out;

  > div{
    overflow: hidden;
  }
}
#sidebar .sub-menu.show{
  grid-template-rows: 1fr;
}
.dropdown-btn svg{
  transition: 200ms ease;
}
.rotate svg:last-child{
  rotate: 180deg;
}
#sidebar .sub-menu a{
  padding-left: 2em;
}
#toggle-btn{
  margin-left: auto;
  padding: 1em;
  border: none;
  border-radius: .5em;
  background: none;
  cursor: pointer;

  svg{
    transition: rotate 150ms ease;
  }
}
#toggle-btn:hover{
  background-color: var(--hover-clr);
}
#infotext{
  position: absolute;
  bottom: 70px;
  left: 34px;
  width: 92%;

  p { font-size: 13px; }
}
#infotext.close{
  visibility: hidden;
}
#infobtns{
  position: absolute;
  bottom: 10px;
  left: 20px;
  display: flex;
  gap: 15px;
  width: 92%;

  svg{
    width: auto;
    height: 20px;
  }
}
#infobtns.close{
  visibility: hidden;
}





/*------------------------------------------------------------------
Main Site Content
*/
main{
  padding: min(30px, 7%);
  text-align: justify;
  color: var(--secondary-text-clr);
  h1{
    color: var(--accent-clr);
    font-size: 3em;
    margin: 10px 0 0 0;
    text-align: center;
  }
  h2{
    color: var(--accent-clr);
    font-size: 2em;
    padding: 30px 0 30px 0;
  }
  h3{
    color: var(--accent-clr);
    font-weight: 500;
    font-size: 1.5em;
  }
  p{
    margin-top: 5px;
    margin-bottom: 15px;
  }  
  a{
    color: var(--accent-clr);
  }
}
#company-logo{
  display: flex;
  justify-content: center;
  height: 350px;

  img { max-height: 100% }
}
/*------------------------------------------------------------------
Styling
*/
.hr-line{
  margin: 10px;
  border-top: 3px solid var(--accent-clr);
  border-radius: 5px;
}
.round-border{
  color: var(--base-clr);
  background-color: var(--accent-clr);
  border-radius: 70px;
  padding: 0 0.8rem;
}
.colored{
  color: var(--accent-clr);
}
.container{
  margin-bottom: 20px;
  padding: min(3em, 15%);
  text-align: center;

  h2, p { margin-top: 1em }
  ul{
    margin: 10px 0 0 1.5em ;
  }
}
.box{
  padding: 10px;
  border: 2px solid var(--secondary-text-clr);
  border-radius: 15px;
}
.centered{
  margin: 0 10vw 0 10vw;
}
.bold{
  font-weight: bold;
}
@media(min-width: 1500px){
  .scale-hover{
    transition-property: transform;
    transition-duration: 0.3s;
    transition-timing-function: ease-out;
  }
  .scale-hover:hover{
    transform: scale(1.05);
  }
}





/*------------------------------------------------------------------
Index
*/
.split50{
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  text-align: left;

  div:nth-child(1){
    max-width: 50%;
    flex: 50% 0 100%;
  }
  div:nth-child(2){
    min-width: 50%;
  }
}
#landingpage-img{
  border-radius: 40px;
  width: 400px;
  height: auto;
  display: block;
  margin: auto;
}
#instagram{
  display: flex;
  justify-content: center;
  align-items: center;
}
@media(max-width: 400px){
  #instagram{
    display: none;
  }
}





/*------------------------------------------------------------------
Footer
*/
#footer{
  padding: min(15px, 7%);
  margin: 60px min(-30px, 7%) -30px min(-30px, 7%);
  text-align: center;
  background-color: var(--secondary-clr);
  
  p{
    color: var(--text-clr);
    
  }
  a{
    text-decoration: none;
    color: var(--text-clr);
    border-radius: .5em;
    padding: .5em;
  }
  a:hover{
    background-color: var(--hover-clr);
  }
}
#line{
  border-right: 1px solid var(--text-clr);
  margin: 0 5px 0 5px;
}





/*------------------------------------------------------------------
About Me
*/
.container2 { 
  display: grid;
  grid-template-columns: 1fr 1.1fr 1.1fr;
  grid-template-rows: 1fr 1fr 1fr 1fr 1fr;
  gap: 10px 2%;
  grid-auto-flow: row;
  grid-template-areas:
    "about-text about-text about-logo"
    "kakao-img kakao-text kakao-text"
    "luke-text luke-text luke-img"
    "addi-img addi-text addi-text"
    "yoda-text yoda-text yoda-img";
  align-items: center; /*Bei handy design top*/
  text-align: justify;
  img{
    border-radius: 40px;
    display: block;
    margin: auto;
    width: 60%;
    height: auto;
  }
}
.about-text { grid-area: about-text; 
  h1{
    margin: 10px 0 40px 0;
  }
  #subtitle-about{
    text-align: center;
    color: var(--accent-clr);
    font-size: 25px;
  }
}
.about-logo { grid-area: about-logo; 
  img{
    height: auto;
    width: 350px;
  }
}

.kakao-text { grid-area: kakao-text; 
  padding-right: 40%;
}
.kakao-img { grid-area: kakao-img; }

.luke-text { grid-area: luke-text; 
  padding-left: 40%;
  h2 h3{
    text-align: right;
  }
}
.luke-img { grid-area: luke-img; }

.addi-text { grid-area: addi-text; 
  padding-right: 40%;
}
.addi-img { grid-area: addi-img; }

.yoda-text { grid-area: yoda-text; 
  padding-left: 40%;
}
.yoda-img { grid-area: yoda-img; }

.top-img img{
  display: none;
}





/*------------------------------------------------------------------
Leistungen
*/
.leistungen-flexbox{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 4em;
  ul{
    margin: 10px 0 0 30px ;
  }
}
.leistungen-flexbox-item{
  text-align: justify;
  flex: 0 0 47%;
}
table, th, td{
  border: 1px solid;
  border-collapse: collapse;
}
table{
  width: 100%;
}
thead tr td{
  padding-left: 5px;
  font-weight: bold;
}
td{
  text-align: left;
}






/*------------------------------------------------------------------
Img Grid
*/
.row {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}
/* Create four equal columns that sits next to each other */
.column {
  flex: 24%;
  max-width: 24%;
  padding: 0 2px;
}
.column img {
  border-radius: 40px;
  margin-top: 8px;
  vertical-align: middle;
  width: 100%;
}
@media screen and (max-width: 1250px) {
  .column {
    flex: 50%;
    max-width: 24%;
  }
}
/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 975px) {
  .column {
    flex: 50%;
    max-width: 48%;
  }
}








/*------------------------------------------------------------------
Kontakt
*/
.flexbox-panel{
  display: flex;
  flex-direction: row-reverse;
  order: 2;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 4em;
}
.flexbox-item{
  flex: 1 1 auto;
}
#google-map{
  border-radius: 15px;
}




/*------------------------------------------------------------------
Impressum Datenschutz
*/
.formal-text{
  text-align: justify;
}





/*------------------------------------------------------------------
Responsive Media Querries
*/
@media(max-width: 1500px){
  .split50{
    div:nth-child(1){
      max-width: 100%;
    }
    div:nth-child(2){
      margin-top: 30px;
      margin-bottom: 10px;
      width: 100%;
    }
  }
  
  .container2 {  
    text-align: center;
    display: block;
    grid-template-columns: 1fr;
    grid-auto-flow: row;
    grid-template-areas:
      "about-text"
      "about-logo"
      "kakao-img"
      "kakao-text"
      "luke-img"
      "like-text"
      "addi-img"
      "addi-text"
      "yoda-img"
      "yoda-text"; 
    img{
      width: 40%;
    }
    h2{
      margin-top: -40px;
    }
  }
  .kakao-text { grid-area: kakao-text; 
    padding-right: 0;
  }
  .kakao-img { grid-area: kakao-img; 
    display: none;
  }
  .luke-text { grid-area: luke-text; 
    padding-left: 0;
  }
  .luke-img { grid-area: luke-img; 
    display: none;
  }
  .addi-text { grid-area: addi-text; 
    padding-right: 0;
  }
  .addi-img { grid-area: addi-img; 
    display: none;  
  }
  .yoda-text { grid-area: yoda-text; 
    padding-left: 0;
  }
  .yoda-img { grid-area: yoda-img; 
    display: none;
  }
  .about-logo{ grid-area: about-logo; 
      display: none;
  }
  .top-img img{
    display: block;
  }
  .formal-text{
    h1{
      font-size: 2em;
    }
    h2{
      font-size: 0.9em;
    }
    h3{
      font-size: 0.9em;
    }
    p{
      font-size: 0.8em;
    }
  }
  .leistungen-flexbox{
    gap: 2em;
  }
  .leistungen-flexbox-item{
    flex: 0 0 100%;
  }
}



@media(max-width: 1100px){
  main h1{
    font-size: 35px;
    margin-bottom: 0;
  }
  #google-map{
    width: 100%;
  }
  .flexbox-panel{
    gap: 2em;
  }
  .flexbox-item:nth-child(1){
    text-align: center;
    p{
      text-align: center;
    }
  }
}



@media(max-width: 800px){
  #company-logo{
    display: flex;
    height: 220px;
  
    img { max-height: 100% }
  }
  body{
    grid-template-columns: 1fr;
  }
  main{
    padding: 2em 1em 60px 1em;
  }
  .container{
    border: none;
    padding: 0;
  }
  #infotext{
    visibility: hidden;
  }
  #infobtns{
    visibility: hidden;
  }
  #sidebar{
    height: 60px;
    width: 100%;
    border-right: none;
    border-top: 1px solid var(--line-clr);
    padding: 0;
    position: fixed;
    top: unset;
    bottom: 0;

    > ul{
      padding: 0;
      display: grid;
      grid-auto-columns: 60px;
      grid-auto-flow: column;
      align-items: center;
      overflow-x: scroll;
    }
    ul li{
      height: 100%;
    }
    ul a, ul .dropdown-btn{
      width: 60px;
      height: 60px;
      padding: 0;
      border-radius: 0;
      justify-content: center;
    }

    ul li span, ul li:first-child, .dropdown-btn svg:last-child{
      display: none;
    }

    ul li .sub-menu.show{
      position: fixed;
      bottom: 60px;
      left: 0;
      box-sizing: border-box;
      height: 60px;
      width: 100%;
      background-color: var(--hover-clr);
      border-top: 1px solid var(--line-clr);
      display: flex;
      justify-content: center;

      > div{
        overflow-x: auto;
      }
      li{
        display: inline-flex;
      }
      a{
        box-sizing: border-box;
        padding: 1em;
        width: auto;
        justify-content: center;
      }
    }
  }
  main{
    h1{
      margin-top: 40px;
      font-size: 6vw;
    }
    h2{
      line-height: 5vw;
      font-size: 5vw;
    }
    h3{
      font-size: 3vw;
    }
    p{
      font-size: 0.8em;
    }  
    li{
      font-size: 0.8em;
    }
    thead tr td{
      font-size: 0.8em;
    }
  }
  #landingpage-img{
    border-radius: 40px;
    width: 40vw;
  }
  #footer{
    margin: 60px -1em 0 -1em;
  }
}